/*******************************************************************************
  Copyright(c) 2000 - 2003 Radu Corlan. All rights reserved.
  
  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the Free 
  Software Foundation; either version 2 of the License, or (at your option) 
  any later version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT 
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
  more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 
  Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
  The full GNU General Public License is included in this distribution in the
  file called LICENSE.
  
  Contact Information: radu@corlan.net
*******************************************************************************/


/* main loop of camera control daemon */

#include <stdio.h>
#include <sys/time.h>
#include <sys/io.h>
#include <sched.h>
#include <math.h> 
#include <stdlib.h>

#include "cpxctrl.h"
#include "params.h"
#include "protocol.h"
#include "cameraops.h"

int main(int ac, char **av)
{
	init_ptable();
	init_comms();
	cameras_init();
	d3_printf("magic is %d\n", main_cam.magic);

	while (1) {
		temp_reg(&main_cam);
		cam_machine(&main_cam);
		P_INT(M_STATUS) = main_cam.state;
		if (main_cam.state == CAM_READ) { /* reading from the sensor 
						     has priority*/
			cam_machine(&main_cam);
			proto_iteration(1);
		}
//		cam_machine(&track_cam);
//		P_INT(T_STATUS) = main_cam.status;
		proto_iteration(20000);
	}
}


